package com.xunao.effectdemo.activity

import android.app.Activity
import android.os.Bundle
import android.util.Log
import android.widget.SeekBar
import com.xuexiang.xui.widget.picker.XSeekBar
import com.xuexiang.xui.widget.progress.HorizontalProgressView
import com.xunao.effectdemo.R
import kotlinx.android.synthetic.main.activity_progress.*

/**
 * author : 程中强
 * e-mail : 740479946@qq.com
 * date : 2022/8/1216:25
 * desc :
 * version: 1.0
 */
class ProgressDemoActivity: Activity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_progress)
//        hpv_language.progress = 50f
//        progressView_circle_small.progress = 30f
//        circle_small.progress = 60f
//        dial_progress_bar.setValue(60f)
        seek.setOnSeekBarListener { seekBar, newValue -> //                TODO("Not yet implemented")
            Log.e("MyTag", "数值:" + newValue)
            hpv_language.progress = newValue.toFloat()
            progressView_circle_small.progress = newValue.toFloat()
            circle_small.progress = newValue.toFloat()
            dial_progress_bar.setValue(newValue.toFloat())
        }
    }
}


